<!--#include file="../include/Conn.jsp"-->
<!--#include file="../include/Char.jsp"-->
<!--#include file="../include/function.jsp"-->
<!--#include file="../Include/const.jsp" -->
<!--#include file="islogin.jsp"-->
<%
	muserid=request.Cookies("aspxnet")("CurUserID")
	musername=request.Cookies("aspxnet")("CurUserName")
if Request.ServerVariables("REQUEST_METHOD") = "POST" then 
	m_Title = CheckStr(Request.Form("title"))
	m_txtclass = CheckStr(Request.Form("txtclass"))
	if m_txtclass = "" then
	  call msgbox("对不起，请选择信息分类！",1)
	  response.end()
	end if
	if m_Title = "" then
	  call msgbox("对不起，信息标题不能为空",1)
	  response.end()
	end if
	m_Content =  CheckStr(Request.Form("content"))
	 if m_Content = "" then
	  call msgbox("对不起，信息内容不能为空",1)
	  response.end()
	end if
	
	if CheckStr(Request.Form("zone"))<>"" then
	m_area = CheckStr(Request.Form("zone"))
	else
	m_area=473  '市区
	end if
	
	if CheckStr(Request.Form("gqyear"))<>"" then
  	m_update =cdate(CheckStr(Request.Form("gqyear"))&"-"&CheckStr(Request.Form("gqmonth"))&"-"&CheckStr(Request.Form("gqday")))
    else
	m_update=cdate(date()+10)
	end if
	SQL="INSERT INTO info_ad(F_adclassID,F_title,F_Content,F_area,F_regtime,F_update,F_username,f_userid) VALUES("&m_txtclass&",'"&m_Title&"','"&m_Content&"','"&m_area&"','"&now&"','"&m_update&"','"&musername&"',"&muserid&")"
	Conn.Execute SQL  
    response.redirect "manage_info.jsp"
end if
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML 
xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>发布信息-分类信息-<%=site_info(0)%></TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<META 
content=运城生活网,运城分类信息网,分类广告,分类信息,二手市场,租赁,买卖,生活便利,教育培训,求职招聘,房产物业,汽车车辆,综合服务 name=Keywords><LINK media=all 
href="css/style.css" type=text/css 
rel=stylesheet>
<SCRIPT language=JavaScript src="img/ubbcode.js"></SCRIPT>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR>
</HEAD>
<BODY><!-- 头  -->
<DIV id=topBar>
<DIV id=TBl>&nbsp;<A class=b href="../" target=_blank>运城生活网 - 
运城人的网上生活</A></DIV>
<DIV id=TBr><A 
href="../">首页</A> | <A href="../so/" 
target=_blank>本地搜</A> | <A href="../shop/">网上开店</A> | <A 
href="../info/" target=_blank>分类信息</A> | <A 
href="../club/photo_default.jsp" target=_blank>相册</A> | <A 
href="../club/qq_index.jsp" target=_blank>小圈子</A> | <A 
href="../blog/" target=_blank>博客</A> | <A 
href="../bbs/" target=_blank>社区</A>&nbsp;</DIV></DIV>
<DIV id=logoBar><A href="../index.jsp"><IMG id=logo 
src="img/logo.gif" border=0 name=logo></A> 
<DIV id=area>分类信息</DIV>
<DIV id=searchBar>
<FORM id=searchForm name=searchForm action=adinfos.jsp method=post><LABEL 
for=textfield>关键字:</LABEL> <INPUT id=KeyWord size=30 name=KeyWord> 
<SELECT 
                  id=select6 name=Classid  dataType="Require">
                            <OPTION value="">所有类别</OPTION>
							 <% 
	 classsql="select * from info_adclass order by f_id desc"
	  'classsql="select f_id,f_value from mall_shopcategory order by f_id desc"
	  Set rsclass=Conn.Execute(classSql)	  
	  do while not rsclass.eof 	  
	  %>      
    <OPTION value=<%=rsclass("f_id")%>><%=rsclass("f_value")%></OPTION>
	<%
	rsclass.movenext
	loop
	rsclass.close
	set rsclass=nothing
	%>             
      </SELECT> <INPUT id=searchSubmit type=submit value="搜 索" name=searchSubmit> 
</FORM></DIV></DIV>
<DIV id=mainBar>
<UL id=mainmenu>
  <LI><A href="index.jsp">&nbsp;&nbsp;首页&nbsp;&nbsp;</A> 
  <LI><A href="write_info.jsp">发布信息</A> 
  <LI><A href="manage_info.jsp">管理信息</A> 
  <LI><A href="help.html">&nbsp;&nbsp;帮助&nbsp;&nbsp;</A></LI>
</UL>
<DIV id=appendMenu><%if Request.Cookies("aspxnet")("CurUserName") = "" then%><A href="../club/login.jsp">登录</A><%else%> 

您已登陆<%end if%>- <A 
href="../club/Logout.jsp">退出</A> - <A 
href="../bbs/user/UserJoin.jsp" target="_blank">注册</A></DIV>
<DIV class=clear></DIV></DIV><!-- 头  /-->
<DIV id=main>
<DIV id=msg>信息发布: ⑴.信息分类 -&gt; ⑵.标题 -&gt; <SPAN>⑶.提供细节并发布.</SPAN></DIV>
<DIV class=pagetitle2><BR><SPAN>信息发布</SPAN></DIV>
<DIV id=pubDetail>
<FORM id=post name=post action=write_info.jsp method=post>
<UL>
<LI>分类： <select name="txtclass" id="txtclass">
                <option value="">选择类型</option>
                <% 
				classsql="select * from info_adClass"
	  'classsql="select f_id,f_value from mall_shopcategory order by f_index desc"
	  Set rsclass=Conn.Execute(classSql)
	  do while not rsclass.eof 
	  %>
                <option value="<%=rsclass("f_id")%>"><%=rsclass("f_value")%></option>
                <%
	  rsclass.movenext 
	  loop
	  rsclass.close
	  set rsclass=nothing
	  %>
              </select>
  
  <LI>标题： <INPUT id=title maxLength=100 size=50 name=title Exp="^[\s|\S]{3,}$" 
  Tip="标题不能为空,且不少于3字">标题不能少于3个汉字

  <LI>内容： <TEXTAREA class=fullspace name=content rows=6 wrap=VIRTUAL cols=50></TEXTAREA>

   
  <LI>选择所在区域：<INPUT onclick=document.post.zone.disabled=true type=radio 
            CHECKED value=off name=areaonoff>
              关闭 |   
              <INPUT 
            onclick=document.post.zone.disabled=false type=radio value=on 
            name=areaonoff>
              开启   
              <select name="zone" id="area">
                <option value="">所有区域</option>
                <%
			   m_SQL = "SELECT F_ID,F_Value FROM T_TradeType ORDER BY F_ID "
			   Set rst = conn.Execute(m_SQL)
			   Do While Not rst.Eof
			      if (m_TradeType) = (rst("F_ID")) then
     				Response.write "<option value=" + cstr(rst("F_ID"))
           			Response.write " selected"
       				Response.write ">" + rs("F_Value")
                  Else
                    Response.write "<option value='" & rst("F_ID") &"'>"& rst("F_Value") &"</option>"
                  End if
				 rst.MoveNext
			   Loop
			   rst.Close
			   %>          
              </select>
              根据实际情况选择是否开启默认选项
  <br>
<br>
<br>
<LI>过期时间： <INPUT 
            onclick=document.post.gqyear.disabled=true;document.post.gqmonth.disabled=true;document.post.gqday.disabled=true 
            type=radio CHECKED value=off name=gqonoff>
              关闭 |   
              <INPUT 
            onclick=document.post.gqyear.disabled=false;document.post.gqmonth.disabled=false;document.post.gqday.disabled=false 
            type=radio value=on name=gqonoff>
              开启   
              <SELECT disabled name=gqyear>
                <%
				for n=cint(year(now())) to cint(year(now())+10)
				%>
                <OPTION value="<%=n%>" <% if n=cint(year(now())) then %> selected<% end if %>><%=n%></OPTION>
                <%
				next
				%>
              </SELECT>
              年   
              <SELECT disabled name=gqmonth>
                <% for n=1 to 12 %>
                <OPTION value="<%=n%>" <% if n=cint(month(now()+10)) then%>selected<% end if %>><%=n%></OPTION>
                <% next %>
              </SELECT>
              月   
              <SELECT disabled name=gqday>
                <% for n=1 to 31 %>
                <OPTION value="<%=n%>" <% if n=cint(day(now()+10)) then%>selected<% end if %>><%=n%></OPTION>
                <% next %>
              </SELECT>
              日
 
  <LI style="LIST-STYLE-TYPE: none">
  <INPUT type=submit value=提交 name=Submit>
  
   </LI></UL> </FORM></DIV>
<DIV class=clear></DIV></DIV><!-- 尾  -->

<DIV id=bottom>　 <A class=list href="/about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="/about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="/about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="/about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="/about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="/so/Suggestion.jsp" target=_blank> 留言/投诉</A> <BR><%=Site_info(5)%> </DIV><!-- 尾  /--></BODY></HTML>
